# logDevice=logDirectoryPath attribute

#### Function

The logDirectoryPath specifies the path to the directory on which to store the database log during database creation or restore. Even if specified as a relative path, the logDirectoryPath is stored internally as an absolute path.

For more information about using this attribute, see "Using the logDevice=logDirectoryPath attribute" in the Java DB Server and Administration Guide.

#### Combining with other attributes

Use in conjunction with create, createFrom, restoreFrom, or rollForwardRecoveryFrom.

    jdbc:derby:newDB;create=true;logDevice=d:/newDBlog

Parent topic: Setting attributes for the database connection URL